[Bug 7768] New: Need help to use sa-update

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

[Bug 7768] New: Need help to use sa-update

bugzilla-daemon-2
https://bz.apache.org/SpamAssassin/show_bug.cgi?id=7768

            Bug ID: 7768
           Summary: Need help to use sa-update
           Product: Spamassassin
           Version: unspecified
          Hardware: PC
                OS: Linux
            Status: NEW
          Severity: normal
          Priority: P2
         Component: spamassassin
          Assignee: [hidden email]
          Reporter: [hidden email]
  Target Milestone: Undefined

Hello

After installing SPAMASSASSIN on our virtual machine (RHEL 7.6)
We are unable to update the rules with the sa-update command

Log :

# sa-update -D

Oct 29 16:21:00.215 [14209] dbg: logger: adding facilities: all
Oct 29 16:21:00.215 [14209] dbg: logger: logging level is DBG
Oct 29 16:21:00.215 [14209] dbg: generic: SpamAssassin version 3.4.0
Oct 29 16:21:00.215 [14209] dbg: generic: Perl 5.016003, PREFIX=/usr,
DEF_RULES_DIR=/usr/share/spamassassin, LOCAL_RULES_DIR=/etc/mail/spamassassin,
LOCAL_STATE_DIR=/var/lib/spamassassin
Oct 29 16:21:00.215 [14209] dbg: config: timing enabled
Oct 29 16:21:00.215 [14209] dbg: config: score set 0 chosen.
Oct 29 16:21:00.218 [14209] dbg: generic: sa-update version svn1475932
Oct 29 16:21:00.218 [14209] dbg: generic: using update directory:
/var/lib/spamassassin/3.004000
Oct 29 16:21:00.261 [14209] dbg: diag: perl platform: 5.016003 linux
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: Digest::SHA1,
version 2.13
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: HTML::Parser,
version 3.71
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: Net::DNS,
version 0.72
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: NetAddr::IP,
version 4.069
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: Time::HiRes,
version 1.9725
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: Archive::Tar,
version 1.92
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: IO::Zlib,
version 1.10
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: Digest::SHA1,
version 2.13
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: MIME::Base64,
version 3.13
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: DB_File, version
1.83
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: Net::SMTP,
version 2.31
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: Mail::SPF,
version v2.008
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module not installed: Geo::IP
('require' failed)
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module not installed:
Razor2::Client::Agent ('require' failed)
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: IO::Socket::IP,
version 0.21
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed:
IO::Socket::INET6, version 2.69
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: IO::Socket::SSL,
version 1.94
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: Compress::Zlib,
version 2.061
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: Mail::DKIM,
version 0.39
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module not installed: DBI
('require' failed)
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: Getopt::Long,
version 2.4
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: LWP::UserAgent,
version 6.05
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: HTTP::Date,
version 6.02
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module installed: Encode::Detect,
version 1.01
Oct 29 16:21:00.261 [14209] dbg: diag: [...] module not installed:
Net::Patricia ('require' failed)
Oct 29 16:21:00.262 [14209] dbg: gpg: Searching for 'gpg'
Oct 29 16:21:00.262 [14209] dbg: util: current PATH is:
/usr/lib64/qt-3.3/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/prsyslib/toolunix/bin_tmp:/prsyslib/toolunix/bin:/usr/sbin:/root:/opt/puppetlabs/bin:/var/rudder/cfengine-community/bin:/opt/CA/SharedComponents/bin:/opt/CA/SharedComponents/ccs/cam/bin
Oct 29 16:21:00.262 [14209] dbg: util: executable for gpg was found at /bin/gpg
Oct 29 16:21:00.262 [14209] dbg: gpg: found /bin/gpg
Oct 29 16:21:00.262 [14209] dbg: gpg: release trusted key id list:
5E541DC959CB8BAC7C78DFDC4056A61A5244EC45
0C2B1D7175B852C64B3CDC716C55397824F434CE
Oct 29 16:21:00.262 [14209] dbg: channel: attempting channel
updates.spamassassin.org
Oct 29 16:21:00.262 [14209] dbg: channel: using existing directory
/var/lib/spamassassin/3.004000/updates_spamassassin_org
Oct 29 16:21:00.262 [14209] dbg: channel: channel cf file
/var/lib/spamassassin/3.004000/updates_spamassassin_org.cf
Oct 29 16:21:00.262 [14209] dbg: channel: channel pre file
/var/lib/spamassassin/3.004000/updates_spamassassin_org.pre
Oct 29 16:21:00.262 [14209] dbg: channel: metadata version = 1840640, from file
/var/lib/spamassassin/3.004000/updates_spamassassin_org.cf
Oct 29 16:21:24.488 [14209] dbg: dns: query failed:
0.4.3.updates.spamassassin.org => SERVFAIL
Oct 29 16:21:48.860 [14209] dbg: dns: query failed:
mirrors.updates.spamassassin.org => SERVFAIL
channel: no 'mirrors.updates.spamassassin.org' record found, channel failed
Oct 29 16:21:48.861 [14209] dbg: diag: updates complete, exiting with code 4

The DNS resolution does not seem to work.
The internal DNS servers of our company do not make it possible to solve the
external addresses.
We must go through a proxy, proxy indicated in the http_proxy environment
variable.

we set an environnement variable '$http_proxy'

We made a trace with tcpdump and we notice no connection with the proxy during
the SPAMASSASSIN update (despite the valuation of the environment variable)

Thanks for your help.

--
You are receiving this mail because:
You are the assignee for the bug.
Reply | Threaded
Open this post in threaded view
|

[Bug 7768] Need help to use sa-update

bugzilla-daemon-2
https://bz.apache.org/SpamAssassin/show_bug.cgi?id=7768

Henrik Krohns <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEW                         |RESOLVED
         Resolution|---                         |INVALID
                 CC|                            |[hidden email]

--- Comment #1 from Henrik Krohns <[hidden email]> ---
Please use mailing list for asking help. According to your log you are also
using extremely old SA version 3.4.0, which can not be given support.

As a hint, perhaps check that you have also "curl" installed, it should work:

# http_proxy=foo:3128 sa-update -D

--
You are receiving this mail because:
You are the assignee for the bug.
Reply | Threaded
Open this post in threaded view
|

[Bug 7768] Need help to use sa-update

bugzilla-daemon-2
In reply to this post by bugzilla-daemon-2
https://bz.apache.org/SpamAssassin/show_bug.cgi?id=7768

[hidden email] changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |aurelien.sepchat.prestatair
                   |                            |[hidden email]

--- Comment #2 from [hidden email] ---
Thank you Henrik for your answer and your help.

The mailing list is [hidden email] ?

How could we install the lastest version of SA ?

Regards,

Aurélien.

--
You are receiving this mail because:
You are the assignee for the bug.
Reply | Threaded
Open this post in threaded view
|

[Bug 7768] Need help to use sa-update

bugzilla-daemon-2
In reply to this post by bugzilla-daemon-2
https://bz.apache.org/SpamAssassin/show_bug.cgi?id=7768

--- Comment #3 from Henrik Krohns <[hidden email]> ---

Yes,
https://cwiki.apache.org/confluence/display/SPAMASSASSIN/MailingLists

--
You are receiving this mail because:
You are the assignee for the bug.